Bitcoin Core's Optech Newsletter #306 strongly recommends users upgrade to Bitcoin Core 25.0 or higher within the next two weeks, with the latest version being 27.0.

This upgrade is crucial for maintaining the security and efficiency of the network.

The newsletter also introduces a new vulnerability disclosure policy.

Under this policy, low-severity vulnerabilities will be disclosed approximately two weeks after the release of a new Bitcoin Core version.

More severe vulnerabilities will be disclosed once the affected version reaches its end-of-life. This approach aims to enhance transparency while ensuring users have adequate time to upgrade and secure their systems.